LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-19-2003, 03:02 AM   #1
perini
LQ Newbie
 
Registered: Apr 2003
Location: Southern New Jersey, USA
Posts: 13

Rep: Reputation: 0
kernel----.rpm


Hello People,

I’m in a small bind! Attempting to install my Linksys (LNE100TX) adapter on a Mandrake (v6.5)……I know, v9.1 is now out and I do believe I’ll get it shortly. The problem right now is………after jumping through several dozen hoops (to find the file, copy it, install it in the proper directory) the configuration information I’m using is for v7.0 and what I’m supposed to select (below), is not an available option:
“ [] New bus configuration (EXPERIMENTAL) (NEW) “

I’m working with a file (kernel-2.2.13-7.src.rpm) attempting the “make menuconfig”. Everything’s there…..except for the option I need. Now to my question:

Is it possible for me to install a newer version of the “kernel” file (so my option is available to me) and still have my box functional? (hopefully more functional since I’d then have the network card working).

I could easily buy an adapter that’s compatible or a newer version of Linux but this is my learning phase.

Any and all assistance is greatly appreciated.
 
Old 04-19-2003, 04:18 PM   #2
Mara
Moderator
 
Registered: Feb 2002
Location: Grenoble
Distribution: Debian
Posts: 9,568

Rep: Reputation: 164Reputation: 164
Get newest from 2.2.x series (it's 2.2.25). They come in .tar.gz or .tar.bz2 file formats (different compression format, content is the same), unpack it do a safe directory (not to /usr/src/linux) and compile.

You can have many kernels at the same time. I suggest you to stay with 2.2.x (upgrade to 2.4.x is possible, but requires upgrade of main system libraries and it's not easy).
 
Old 04-20-2003, 08:37 AM   #3
perini
LQ Newbie
 
Registered: Apr 2003
Location: Southern New Jersey, USA
Posts: 13

Original Poster
Rep: Reputation: 0
Thanks

Many thanks Mara, I'll give it a shot later today.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
kernel.rpm ziox Linux - Distributions 1 05-31-2005 01:41 PM
Mandrake rpm kernel vs. standard kernel lm317t Mandriva 7 01-06-2005 01:08 PM
kernel-source-2.6.5-7.src.rpm requires kernel-dummy to build!? fizzdandantilus SUSE / openSUSE 5 12-02-2004 01:48 PM
rpm -qa | grep kernel gives wrong kernel version markelo Red Hat 3 07-18-2004 10:35 AM
I saw that FC2 has a new kernel update kernel-2.6.6-1.427.i686.rpm. linuxnoobie2004 Fedora 8 06-16-2004 10:55 AM


All times are GMT -5. The time now is 08:38 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration